Get asset details and available metrics
curl --request GET \
--url https://api.tokenterminal.com/v2/assets/{asset_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tokenterminal.com/v2/assets/{asset_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tokenterminal.com/v2/assets/{asset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"asset_id": "<string>",
"asset_type": "<string>",
"name": "<string>",
"symbol": "<string>",
"coingecko_id": "<string>",
"addresses": [
{
"chain_id": "<string>",
"token_address": "<string>",
"token_name": "<string>",
"token_symbol": "<string>"
}
],
"products": [
{
"data_id": "<string>",
"product_id": "<string>",
"tags": [
"<string>"
],
"relation_to_the_project": "<string>",
"logo": "<string>"
}
],
"created_at": "<string>",
"inserted_at": "<string>",
"available_metrics": [
"<string>"
]
}
}{
"code": "NOT_FOUND",
"message": "<string>"
}Assets
Get asset details and available metrics
Use this endpoint to retrieve detailed information about a specific asset, including the list of available metrics.
GET
/
v2
/
assets
/
{asset_id}
Get asset details and available metrics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the asset
Allows you to select one of the assets available.
The full list is available on the assets endpoint (see above).
Response
OK
Show child attributes
Show child attributes
โI